﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo04_委托Delegate
{
    //经销商
    public class CarDealer
    {
        //定义事件
        public event EventHandler<CarInfoEventArgs> NewCarEvent;

        //触发事件
        public void Test(string car)
        {
            Console.WriteLine($"CarDealer: Attention, new car {car} arrives！！！");
            NewCarEvent?.Invoke(this, new CarInfoEventArgs(car));
        }
    }
}
