﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo04_委托Delegate
{
    internal class LearnFunc
    {
        public Func<string, string, bool> MyCompareFunc; //声明Func泛型委托

        public bool CompareString(string str1,string str2)
        {
            return str1== str2;
        }

        public void Test()
        {
            //实例化
            MyCompareFunc = new Func<string, string, bool>(CompareString);  
            //可以简写为  MyCompareFunc = CompareString;

            //调用委托两种方式
            var result1 = MyCompareFunc.Invoke("I love China","I Love China");
            var result2 = MyCompareFunc("I love China", "I Love China");
        }

    }
}
