﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo04_委托Delegate
{
    internal class MulticastDelegate
    {
        public delegate int AddDelegate(int a);  //声明
        public void Test()
        {
            AddDelegate myAddDelegate = new AddDelegate(a => a + 10); //实例化
            myAddDelegate += i => i - 10; //增加一路委托到myAddDelagate实例

            //调用
            Console.WriteLine(myAddDelegate?.Invoke(10));

            //逐个调用
            foreach (AddDelegate item in myAddDelegate.GetInvocationList())
            {
                Console.WriteLine(item?.Invoke(10));
            }
        }
    }
}
